XSalsa20_Policy Class Reference
Inheritance diagram for XSalsa20_Policy:

## Public Types

typedef word32 | WordType

## Public Member Functions

void | CipherSetKey (const NameValuePairs &params, const byte *key, size_t length)
void | CipherResynchronize (byte *keystreamBuffer, const byte *IV, size_t length)
unsigned int | GetAlignment () const
unsigned int | GetBytesPerIteration () const
unsigned int | GetIterationsToBuffer () const
bool | CanOperateKeystream () const
virtual unsigned int | GetOptimalBlockSize () const
virtual void | WriteKeystream (byte *keystream, size_t iterationCount)

## Static Public Attributes

static const int | BYTES_PER_ITERATION

## Protected Member Functions

void | OperateKeystream (KeystreamOperation operation, byte *output, const byte *input, size_t iterationCount)
bool | CipherIsRandomAccess () const
void | SeekToIteration (lword iterationCount)

## Protected Attributes

FixedSizeSecBlock< word32, 8 > | m_key
FixedSizeAlignedSecBlock < word32, 16 > | m_state
int | m_rounds

## Detailed Description

Definition at line 46 of file salsa.h.

The documentation for this class was generated from the following file:

- salsa.h